﻿@model MultipleRegisterViewModel

@{
    Layout = "~/Views/Register/MultipleRegister.cshtml";

    ViewBag.SeasonDomain = Model.SeasonDomain;
    ViewBag.SeasonTitle = Model.SeasonTitle;
    ViewBag.HasWaiver = Model.HasWaiver;
    ViewBag.LastStep = Model.LastStep;
    ViewBag.GeneralOpenRegDate = Model.GeneralOpenRegDate;
    ViewBag.LotteryEndDate = Model.LotteryEndDate;
    ViewBag.HasPaymentPlan = Model.HasPaymentPlan;
    ViewBag.HasFollowUpForms = Model.HasFollowUpForms;
}

@Html.HiddenFor(model => model.LastStep)
@Html.HiddenFor(model => model.SelectedPlayer)
@Html.HiddenFor(model => model.FormId)
@Html.HiddenFor(model => model.SeasonTitle)
@Html.HiddenFor(model => model.HasWaiver)
@Html.HiddenFor(model => model.HasPaymentPlan)
@Html.HiddenFor(model => model.HasFollowUpForms)

<section id="selectProfile" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 step">

    @Html.Partial("MultipleRegisterSelectProfile", Model.PlayerList)

</section>


@section Scripts{

    <script>
        var formId = '@Model.FormId';

        $('.select-profile').click(function (e) {
            e.preventDefault();

            $('#errorContainer').html('');

            var profileId = $(this).data('profileid');

            $('#SelectedPlayer').attr('value', profileId);


            $('#multipleRegisterForm').submit();

        })

        $('[data-toggle="tooltip"]').tooltip();

        var loadEventListeners = function () {
            $('#changeSelectProfile').click(function () {
                $("#registrationForm").html('');
                $('#SelectedPlayer').val('');
                $("#selectProfile").show();
            });

            $('[data-toggle="popover"]').popover(popoverOptions);
        }
    </script>
}